# Copyright (c) 2012-2016, 2018-2020 Farsight Security, Inc.
# All Rights Reserved
#
# THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF FARSIGHT SECURITY, INC.
# The copyright notice above does not evidence any
# actual or intended publication of such source code.

from collections import OrderedDict
import datetime
import json

def format_http500(logid):
    return '''
<html>
<head><title>500 Internal Server Error</title></head>
<body>
<p>An internal server error has occurred. The log ID for this error is: {}.</p>
<p>Sorry about that.</p>
</body>
</html>
'''.format(logid).strip()

def fmt_time(epoch, use_epoch_time):
    ''' for the summarize verb only, format times '''
    if use_epoch_time:
        return str(epoch)
    else:
        return '"' + datetime.datetime.utcfromtimestamp(epoch).isoformat("T")+'Z"'

def format_rrset(entry, use_epoch_time = False):
    if use_epoch_time:
        return entry.to_json(rdata_always_array = True)
    else:
        return entry.to_json(rfc3339_time = True, rdata_always_array = True)

def format_rdata(entry, use_epoch_time = False):
    if use_epoch_time:
        return entry.to_json(rdata_always_array = True)
    else:
        return entry.to_json(rfc3339_time = True, rdata_always_array = True)
